> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cuprice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Share API

> Get a project's public pricing data

Returns all public data about a project — name, plans, features, prices, and theme settings.

<Note>
  This is the same data the embed widget uses internally.
</Note>

## Endpoint

```
GET /api/share/{shareId}
```

## Parameters

<ParamField path="shareId" type="string" required>
  The project's Share ID
</ParamField>

## Response

<ResponseField name="id" type="number">
  Project ID
</ResponseField>

<ResponseField name="name" type="string">
  Project display name
</ResponseField>

<ResponseField name="description" type="string">
  Short description
</ResponseField>

<ResponseField name="pricingPageDescription" type="string">
  Longer description for the pricing page header
</ResponseField>

<ResponseField name="currency" type="string">
  Currency code (e.g. "USD")
</ResponseField>

<ResponseField name="annualDiscount" type="number">
  Discount for annual billing (e.g. 0.2 = 20% off)
</ResponseField>

<ResponseField name="plans" type="array">
  List of pricing plans with features
</ResponseField>

<ResponseField name="features" type="array">
  All features in the project
</ResponseField>

<ResponseField name="themeSettings" type="object">
  Colors, fonts, CSS, layout settings
</ResponseField>

## Example

```bash theme={null}
curl https://cuprice.io/api/share/nTZ7axXQHU
```

```json theme={null}
{
  "id": 203,
  "name": "My SaaS",
  "currency": "USD",
  "annualDiscount": 0.2,
  "plans": [
    {
      "id": 100,
      "name": "Pro",
      "isPopular": true,
      "features": [
        { "name": "AI Prompt", "included": true, "limit": null },
        { "name": "API Calls", "included": true, "limit": 1000 }
      ]
    }
  ],
  "features": [
    { "name": "AI Prompt", "featureType": "Standart", "basePrice": 10 },
    { "name": "API Calls", "featureType": "Limits", "basePrice": 5 }
  ]
}
```
